%define         pypiname          pyproj

Name:           python-pyproj
Version:        3.7.0
Release:        %mkrel 1

Summary:        A Python interface to PROJ4
License:        MIT
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyproj
Source0:        https://pypi.io/packages/source/p/pyproj/%{pypiname}-%{version}.tar.gz


BuildRequires:  pkgconfig(proj)
BuildRequires:  proj
BuildRequires:  chrpath

%description
A Python interface to PROJ4.


%package -n python3-%{pypiname}
Summary:        A Python3 interface to PROJ4
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(certifi)
BuildRequires:  python3-devel
Requires:       proj
%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{pypiname}
A Python 3 interface to PROJ4.


%prep
%setup -q -n %{pypiname}-%{version}
%autopatch -p1


%generate_buildrequires
export PROJ_INCDIR=%{_prefix}/include
%pyproject_buildrequires

%build
export LDFLAGS="-lm"
export PROJ_DIR=%{_prefix}
export PROJ_INCDIR=%{_prefix}/include
export PROJ_LIBDIR=%{_libdir}

%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyproj

pushd %{buildroot}%{python3_sitearch}/pyproj
for mod in $(find . -type f -name \*.so ); do
    chrpath --delete $mod
done
popd

%files -n python3-%{pypiname} -f %{pyproject_files}
%doc LICENSE README.md
%{_bindir}/pyproj


%changelog
* Sat Dec 07 2024 eatdirt <eatdirt> 3.7.0-1.mga10
+ Revision: 2122532
- Update to version 3.7.0

* Mon Feb 19 2024 papoteur <papoteur> 3.6.1-2.mga10
+ Revision: 2042525
- fix build with export PROJ_INCDIR
- fix build with export PROJ_INCDIR
- rebuild for python 3.12
- new version 3.6.1

* Tue May 30 2023 eatdirt <eatdirt> 3.5.0-1.mga9
+ Revision: 1959822
- update to version 3.5.0

* Thu Jan 12 2023 eatdirt <eatdirt> 3.4.1-1.mga9
+ Revision: 1932622
- Update to version 3.4.1

* Sun Dec 04 2022 eatdirt <eatdirt> 3.4.0-2.mga9
+ Revision: 1917575
- Rebuild for new proj

* Tue Sep 13 2022 eatdirt <eatdirt> 3.4.0-1.mga9
+ Revision: 1887606
- Update to version 3.4.0

* Fri May 06 2022 eatdirt <eatdirt> 3.3.1-1.mga9
+ Revision: 1856558
- Upgrade to version 3.3.1

* Wed Mar 30 2022 umeabot <umeabot> 3.1.0-3.mga9
+ Revision: 1833792
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 3.1.0-2.mga9
+ Revision: 1775585
- rebuild for python-3.10

* Fri Aug 27 2021 eatdirt <eatdirt> 3.1.0-1.mga9
+ Revision: 1742920
- Upgrade to version 3.1.0

* Tue Mar 23 2021 daviddavid <daviddavid> 3.0.0.post1-2.mga9
+ Revision: 1708043
- rebuild for python 3.9

* Sun Dec 06 2020 eatdirt <eatdirt> 3.0.0.post1-1.mga8
+ Revision: 1653800
- Upgrade to version 3.0.0.post1

* Fri Mar 20 2020 eatdirt <eatdirt> 2.6.0-2.mga8
+ Revision: 1558171
- Rebuild for new libproj

* Wed Mar 18 2020 eatdirt <eatdirt> 2.6.0-1.mga8
+ Revision: 1557793
- Upgrade to version 2.6.0

* Sun Feb 16 2020 umeabot <umeabot> 2.1.3-3.mga8
+ Revision: 1533161
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 daviddavid <daviddavid> 2.1.3-2.mga8
+ Revision: 1443753
- rebuild for python3.8
- drop python2 support

* Wed Apr 17 2019 eatdirt <eatdirt> 2.1.3-1.mga7
+ Revision: 1392081
- Upgrade to version 2.1.3

* Sat Mar 09 2019 eatdirt <eatdirt> 1.9.6-2.mga7
+ Revision: 1373340
- Rebuild and fix for new libproj 6.0

* Tue Jan 08 2019 shlomif <shlomif> 1.9.6-1.mga7
+ Revision: 1352216
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.9.5.1-4.mga7
+ Revision: 1300576
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 daviddavid <daviddavid> 1.9.5.1-3.mga7
+ Revision: 1210097
- rebuild for new proj 5.0.0
- rename python-pyproj to python2-pyproj

* Tue Oct 31 2017 eatdirt <eatdirt> 1.9.5.1-2.mga7
+ Revision: 1175127
- Add missing requires to proj

* Fri Oct 27 2017 eatdirt <eatdirt> 1.9.5.1-1.mga7
+ Revision: 1174031
- imported package python-pyproj

